Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class ComparisonTerm

    java.lang.Object
      |
      +--javax.mail.search.SearchTerm
            |
            +--javax.mail.search.ComparisonTerm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DateTerm, IntegerComparisonTerm

public abstract class ComparisonTerm
extends SearchTerm

This class models the comparison operator. This is an abstract class; subclasses implement comparisons for different datatypes.

See Also:
  Serialized Form

Field Summary
`protected int` | `comparison` The comparison.
`static int` | `EQ`
`static int` | `GE`
`static int` | `GT`
`static int` | `LE`
`static int` | `LT`
`static int` | `NE`

Constructor Summary
`ComparisonTerm()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`int` | `hashCode()` Compute a hashCode for this object.

Methods inherited from class javax.mail.search.SearchTerm
`match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LE

    public static final int LE

### LT

    public static final int LT

### EQ

    public static final int EQ

### NE

    public static final int NE

### GT

    public static final int GT

### GE

    public static final int GE

### comparison

    protected int comparison

  The comparison.

Constructor Detail

### ComparisonTerm

    public ComparisonTerm()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD